<?php
namespace Container\Mail;

use Helpers\Trad\Trad;

class AoTransfert extends AbsMail
{
    public function getSujet(): string
    {
        return Trad::strBuild(
            $this->trad->t('Transfert de la consultation @1@'),
            $this->listeData['NAO']
        );
    }

    public function getMessage(): string
    {
        return implode("\r\n", [
            $this->trad->t('Bonjour,'),
            '',
            Trad::strBuild(
                $this->trad->t('La consultation @1@ - @2@ vous a été transférée.'),
                $this->listeData['NAO'],
                $this->listeData['OBJETAO']
            ),
            '',
            $this->trad->t('Cordialement.'),
        ]);
    }
}
